org.jenkinsci.maven.plugins.hpi

## Class TestDependencyMojo

- java.lang.Object
- - org.apache.maven.plugin.AbstractMojo
  - - org.jenkinsci.maven.plugins.hpi.AbstractJenkinsMojo
    - - org.jenkinsci.maven.plugins.hpi.AbstractHpiMojo
      - - org.jenkinsci.maven.plugins.hpi.TestDependencyMojo

All Implemented Interfaces:
  org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo

    public class TestDependencyMojo
    extends AbstractHpiMojo

Places test-dependency plugins into somewhere the test harness can pick up.

See `TestPluginManager.loadBundledPlugins()` where the test harness uses it.

Author:
  Kohsuke Kawaguchi

### Field Summary

### Fields inherited from class org.jenkinsci.maven.plugins.hpi.AbstractHpiMojo

`archiverManager, globalMaskClasses, localRepository, maskClasses, outputDirectory, pluginName, projectBuilder, warSourceDirectory`

### Fields inherited from class org.jenkinsci.maven.plugins.hpi.AbstractJenkinsMojo

`jenkinsCoreId, project`

### Fields inherited from interface org.apache.maven.plugin.Mojo

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`TestDependencyMojo()`

### Method Summary

Methods
`void` `execute()`

### Methods inherited from class org.jenkinsci.maven.plugins.hpi.AbstractHpiMojo

`buildExplodedWebapp, buildWebapp, copyResources, copyResources, getClassesDirectory, getContainerConfigXML, getDependentWarExcludes, getDependentWarIncludes, getDirectDependencyArtfacts, getExcludes, getIncludes, getProjectArtfacts, getWebappDirectory, isSupportDynamicLoading, setAttributes, setClassesDirectory, setContainerConfigXML, setWarSourceDirectory, setWebappDirectory, wrap, wrap`

### Methods inherited from class org.jenkinsci.maven.plugins.hpi.AbstractJenkinsMojo

`findJenkinsVersion`

### Methods inherited from class org.apache.maven.plugin.AbstractMojo

`getLog, getPluginContext, setLog, setPluginContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TestDependencyMojo

    public TestDependencyMojo()

### Method Detail

#### execute

    public void execute()
                 throws org.apache.maven.plugin.MojoExecutionException,
                        org.apache.maven.plugin.MojoFailureException

Throws:
  `org.apache.maven.plugin.MojoExecutionException`
  `org.apache.maven.plugin.MojoFailureException`